package Items;

import java.io.File;

public class PictureID {
    public static void main(String[] args) {
        File folder = new File("image");
        File[] listOfFiles = folder.listFiles();

        for (int i = 0; i < listOfFiles.length; i++) {
            if (listOfFiles[i].isFile()) {
                System.out.println("case " + i + ": return " + "\"image/" + listOfFiles[i].getName() + "\"" + ";");
            }
        }
    }


    public static int getID(String picAddress) {
        switch (picAddress) {
            case "image/appear_1.png":
                return 0;
            case "image/appear_2.png":
                return 1;
            case "image/appear_3.png":
                return 2;
            case "image/appear_4.png":
                return 3;
            case "image/arrow.png":
                return 4;
            case "image/base.png":
                return 5;
            case "image/base_destroyed.png":
                return 6;
            case "image/big_explosion_1.png":
                return 7;
            case "image/big_explosion_2.png":
                return 8;
            case "image/big_explosion_3.png":
                return 9;
            case "image/big_explosion_4.png":
                return 10;
            case "image/big_explosion_5.png":
                return 11;
            case "image/bullet_down.png":
                return 12;
            case "image/bullet_explosion_1.png":
                return 13;
            case "image/bullet_explosion_2.png":
                return 14;
            case "image/bullet_explosion_3.png":
                return 15;
            case "image/bullet_left.png":
                return 16;
            case "image/bullet_right.png":
                return 17;
            case "image/bullet_up.png":
                return 18;
            case "image/cross.png":
                return 19;
            case "image/edge.png":
                return 20;
            case "image/enemy.png":
                return 21;
            case "image/flag.png":
                return 22;
            case "image/game_over.png":
                return 23;
            case "image/HealthBar_Green.png":
                return 24;
            case "image/HealthBar_Red.png":
                return 25;
            case "image/JTank.png":
                return 26;
            case "image/lives.png":
                return 27;
            case "image/player2Tank_down.png":
                return 28;
            case "image/player2Tank_left.png":
                return 29;
            case "image/player2Tank_right.png":
                return 30;
            case "image/player2Tank_up.png":
                return 31;
            case "image/playerTank_down.png":
                return 32;
            case "image/playerTank_left.png":
                return 33;
            case "image/playerTank_right.png":
                return 34;
            case "image/playerTank_up.png":
                return 35;
            case "image/powerup_grenade.png":
                return 36;
            case "image/powerup_helmet.png":
                return 37;
            case "image/powerup_shovel.png":
                return 38;
            case "image/powerup_star.png":
                return 39;
            case "image/powerup_tank.png":
                return 40;
            case "image/powerup_timer.png":
                return 41;
            case "image/RocketFire_0.png":
                return 42;
            case "image/RocketFire_120.png":
                return 43;
            case "image/RocketFire_135.png":
                return 44;
            case "image/RocketFire_150.png":
                return 45;
            case "image/RocketFire_180.png":
                return 46;
            case "image/RocketFire_210.png":
                return 47;
            case "image/RocketFire_225.png":
                return 48;
            case "image/RocketFire_240.png":
                return 49;
            case "image/RocketFire_270.png":
                return 50;
            case "image/RocketFire_30.png":
                return 51;
            case "image/RocketFire_300.png":
                return 52;
            case "image/RocketFire_315.png":
                return 53;
            case "image/RocketFire_330.png":
                return 54;
            case "image/RocketFire_45.png":
                return 55;
            case "image/RocketFire_60.png":
                return 56;
            case "image/RocketFire_90.png":
                return 57;
            case "image/shield_1.png":
                return 58;
            case "image/shield_2.png":
                return 59;
            case "image/Star.png":
                return 60;
            case "image/TankBullet.png":
                return 61;
            case "image/tank_armor_down_c0.png":
                return 62;
            case "image/tank_armor_down_c0_f.png":
                return 63;
            case "image/tank_armor_down_c1.png":
                return 64;
            case "image/tank_armor_down_c1_f.png":
                return 65;
            case "image/tank_armor_down_c2.png":
                return 66;
            case "image/tank_armor_down_c2_f.png":
                return 67;
            case "image/tank_armor_left_c0.png":
                return 68;
            case "image/tank_armor_left_c0_f.png":
                return 69;
            case "image/tank_armor_left_c1.png":
                return 70;
            case "image/tank_armor_left_c1_f.png":
                return 71;
            case "image/tank_armor_left_c2.png":
                return 72;
            case "image/tank_armor_left_c2_f.png":
                return 73;
            case "image/tank_armor_right_c0.png":
                return 74;
            case "image/tank_armor_right_c0_f.png":
                return 75;
            case "image/tank_armor_right_c1.png":
                return 76;
            case "image/tank_armor_right_c1_f.png":
                return 77;
            case "image/tank_armor_right_c2.png":
                return 78;
            case "image/tank_armor_right_c2_f.png":
                return 79;
            case "image/tank_armor_up_c0.png":
                return 80;
            case "image/tank_armor_up_c0_f.png":
                return 81;
            case "image/tank_armor_up_c1.png":
                return 82;
            case "image/tank_armor_up_c1_f.png":
                return 83;
            case "image/tank_armor_up_c2.png":
                return 84;
            case "image/tank_armor_up_c2_f.png":
                return 85;
            case "image/tank_basic_down.png":
                return 86;
            case "image/tank_basic_down_f.png":
                return 87;
            case "image/tank_basic_left.png":
                return 88;
            case "image/tank_basic_left_f.png":
                return 89;
            case "image/tank_basic_right.png":
                return 90;
            case "image/tank_basic_right_f.png":
                return 91;
            case "image/tank_basic_up.png":
                return 92;
            case "image/tank_basic_up_f.png":
                return 93;
            case "image/tank_fast_down.png":
                return 94;
            case "image/tank_fast_down_f.png":
                return 95;
            case "image/tank_fast_left.png":
                return 96;
            case "image/tank_fast_left_f.png":
                return 97;
            case "image/tank_fast_right.png":
                return 98;
            case "image/tank_fast_right_f.png":
                return 99;
            case "image/tank_fast_up.png":
                return 100;
            case "image/tank_fast_up_f.png":
                return 101;
            case "image/tank_player1_down_s0.png":
                return 102;
            case "image/tank_player1_down_s1.png":
                return 103;
            case "image/tank_player1_down_s2.png":
                return 104;
            case "image/tank_player1_down_s3.png":
                return 105;
            case "image/tank_player1_left_s0.png":
                return 106;
            case "image/tank_player1_left_s1.png":
                return 107;
            case "image/tank_player1_left_s2.png":
                return 108;
            case "image/tank_player1_left_s3.png":
                return 109;
            case "image/tank_player1_right_s0.png":
                return 110;
            case "image/tank_player1_right_s1.png":
                return 111;
            case "image/tank_player1_right_s2.png":
                return 112;
            case "image/tank_player1_right_s3.png":
                return 113;
            case "image/tank_player1_up_s0.png":
                return 114;
            case "image/tank_player1_up_s1.png":
                return 115;
            case "image/tank_player1_up_s2.png":
                return 116;
            case "image/tank_player1_up_s3.png":
                return 117;
            case "image/tank_player2_down_s0.png":
                return 118;
            case "image/tank_player2_down_s1.png":
                return 119;
            case "image/tank_player2_down_s2.png":
                return 120;
            case "image/tank_player2_down_s3.png":
                return 121;
            case "image/tank_player2_left_s0.png":
                return 122;
            case "image/tank_player2_left_s1.png":
                return 123;
            case "image/tank_player2_left_s2.png":
                return 124;
            case "image/tank_player2_left_s3.png":
                return 125;
            case "image/tank_player2_right_s0.png":
                return 126;
            case "image/tank_player2_right_s1.png":
                return 127;
            case "image/tank_player2_right_s2.png":
                return 128;
            case "image/tank_player2_right_s3.png":
                return 129;
            case "image/tank_player2_up_s0.png":
                return 130;
            case "image/tank_player2_up_s1.png":
                return 131;
            case "image/tank_player2_up_s2.png":
                return 132;
            case "image/tank_player2_up_s3.png":
                return 133;
            case "image/tank_power_down.png":
                return 134;
            case "image/tank_power_down_f.png":
                return 135;
            case "image/tank_power_left.png":
                return 136;
            case "image/tank_power_left_f.png":
                return 137;
            case "image/tank_power_right.png":
                return 138;
            case "image/tank_power_right_f.png":
                return 139;
            case "image/tank_power_up.png":
                return 140;
            case "image/tank_power_up_f.png":
                return 141;
            case "image/trees.png":
                return 142;
            case "image/trees2.png":
                return 143;
            case "image/wall_brick.png":
                return 144;
            case "image/wall_steel.png":
                return 145;
            case "image/water_1.png":
                return 146;
            case "image/water_2.png":
                return 147;
        }
        return 0;
    }


    public static String getPicAdrress(int id) {
        switch (id) {
            case 0:
                return "image/appear_1.png";
            case 1:
                return "image/appear_2.png";
            case 2:
                return "image/appear_3.png";
            case 3:
                return "image/appear_4.png";
            case 4:
                return "image/arrow.png";
            case 5:
                return "image/base.png";
            case 6:
                return "image/base_destroyed.png";
            case 7:
                return "image/big_explosion_1.png";
            case 8:
                return "image/big_explosion_2.png";
            case 9:
                return "image/big_explosion_3.png";
            case 10:
                return "image/big_explosion_4.png";
            case 11:
                return "image/big_explosion_5.png";
            case 12:
                return "image/bullet_down.png";
            case 13:
                return "image/bullet_explosion_1.png";
            case 14:
                return "image/bullet_explosion_2.png";
            case 15:
                return "image/bullet_explosion_3.png";
            case 16:
                return "image/bullet_left.png";
            case 17:
                return "image/bullet_right.png";
            case 18:
                return "image/bullet_up.png";
            case 19:
                return "image/cross.png";
            case 20:
                return "image/edge.png";
            case 21:
                return "image/enemy.png";
            case 22:
                return "image/flag.png";
            case 23:
                return "image/game_over.png";
            case 24:
                return "image/HealthBar_Green.png";
            case 25:
                return "image/HealthBar_Red.png";
            case 26:
                return "image/JTank.png";
            case 27:
                return "image/lives.png";
            case 28:
                return "image/player2Tank_down.png";
            case 29:
                return "image/player2Tank_left.png";
            case 30:
                return "image/player2Tank_right.png";
            case 31:
                return "image/player2Tank_up.png";
            case 32:
                return "image/playerTank_down.png";
            case 33:
                return "image/playerTank_left.png";
            case 34:
                return "image/playerTank_right.png";
            case 35:
                return "image/playerTank_up.png";
            case 36:
                return "image/powerup_grenade.png";
            case 37:
                return "image/powerup_helmet.png";
            case 38:
                return "image/powerup_shovel.png";
            case 39:
                return "image/powerup_star.png";
            case 40:
                return "image/powerup_tank.png";
            case 41:
                return "image/powerup_timer.png";
            case 42:
                return "image/RocketFire_0.png";
            case 43:
                return "image/RocketFire_120.png";
            case 44:
                return "image/RocketFire_135.png";
            case 45:
                return "image/RocketFire_150.png";
            case 46:
                return "image/RocketFire_180.png";
            case 47:
                return "image/RocketFire_210.png";
            case 48:
                return "image/RocketFire_225.png";
            case 49:
                return "image/RocketFire_240.png";
            case 50:
                return "image/RocketFire_270.png";
            case 51:
                return "image/RocketFire_30.png";
            case 52:
                return "image/RocketFire_300.png";
            case 53:
                return "image/RocketFire_315.png";
            case 54:
                return "image/RocketFire_330.png";
            case 55:
                return "image/RocketFire_45.png";
            case 56:
                return "image/RocketFire_60.png";
            case 57:
                return "image/RocketFire_90.png";
            case 58:
                return "image/shield_1.png";
            case 59:
                return "image/shield_2.png";
            case 60:
                return "image/Star.png";
            case 61:
                return "image/TankBullet.png";
            case 62:
                return "image/tank_armor_down_c0.png";
            case 63:
                return "image/tank_armor_down_c0_f.png";
            case 64:
                return "image/tank_armor_down_c1.png";
            case 65:
                return "image/tank_armor_down_c1_f.png";
            case 66:
                return "image/tank_armor_down_c2.png";
            case 67:
                return "image/tank_armor_down_c2_f.png";
            case 68:
                return "image/tank_armor_left_c0.png";
            case 69:
                return "image/tank_armor_left_c0_f.png";
            case 70:
                return "image/tank_armor_left_c1.png";
            case 71:
                return "image/tank_armor_left_c1_f.png";
            case 72:
                return "image/tank_armor_left_c2.png";
            case 73:
                return "image/tank_armor_left_c2_f.png";
            case 74:
                return "image/tank_armor_right_c0.png";
            case 75:
                return "image/tank_armor_right_c0_f.png";
            case 76:
                return "image/tank_armor_right_c1.png";
            case 77:
                return "image/tank_armor_right_c1_f.png";
            case 78:
                return "image/tank_armor_right_c2.png";
            case 79:
                return "image/tank_armor_right_c2_f.png";
            case 80:
                return "image/tank_armor_up_c0.png";
            case 81:
                return "image/tank_armor_up_c0_f.png";
            case 82:
                return "image/tank_armor_up_c1.png";
            case 83:
                return "image/tank_armor_up_c1_f.png";
            case 84:
                return "image/tank_armor_up_c2.png";
            case 85:
                return "image/tank_armor_up_c2_f.png";
            case 86:
                return "image/tank_basic_down.png";
            case 87:
                return "image/tank_basic_down_f.png";
            case 88:
                return "image/tank_basic_left.png";
            case 89:
                return "image/tank_basic_left_f.png";
            case 90:
                return "image/tank_basic_right.png";
            case 91:
                return "image/tank_basic_right_f.png";
            case 92:
                return "image/tank_basic_up.png";
            case 93:
                return "image/tank_basic_up_f.png";
            case 94:
                return "image/tank_fast_down.png";
            case 95:
                return "image/tank_fast_down_f.png";
            case 96:
                return "image/tank_fast_left.png";
            case 97:
                return "image/tank_fast_left_f.png";
            case 98:
                return "image/tank_fast_right.png";
            case 99:
                return "image/tank_fast_right_f.png";
            case 100:
                return "image/tank_fast_up.png";
            case 101:
                return "image/tank_fast_up_f.png";
            case 102:
                return "image/tank_player1_down_s0.png";
            case 103:
                return "image/tank_player1_down_s1.png";
            case 104:
                return "image/tank_player1_down_s2.png";
            case 105:
                return "image/tank_player1_down_s3.png";
            case 106:
                return "image/tank_player1_left_s0.png";
            case 107:
                return "image/tank_player1_left_s1.png";
            case 108:
                return "image/tank_player1_left_s2.png";
            case 109:
                return "image/tank_player1_left_s3.png";
            case 110:
                return "image/tank_player1_right_s0.png";
            case 111:
                return "image/tank_player1_right_s1.png";
            case 112:
                return "image/tank_player1_right_s2.png";
            case 113:
                return "image/tank_player1_right_s3.png";
            case 114:
                return "image/tank_player1_up_s0.png";
            case 115:
                return "image/tank_player1_up_s1.png";
            case 116:
                return "image/tank_player1_up_s2.png";
            case 117:
                return "image/tank_player1_up_s3.png";
            case 118:
                return "image/tank_player2_down_s0.png";
            case 119:
                return "image/tank_player2_down_s1.png";
            case 120:
                return "image/tank_player2_down_s2.png";
            case 121:
                return "image/tank_player2_down_s3.png";
            case 122:
                return "image/tank_player2_left_s0.png";
            case 123:
                return "image/tank_player2_left_s1.png";
            case 124:
                return "image/tank_player2_left_s2.png";
            case 125:
                return "image/tank_player2_left_s3.png";
            case 126:
                return "image/tank_player2_right_s0.png";
            case 127:
                return "image/tank_player2_right_s1.png";
            case 128:
                return "image/tank_player2_right_s2.png";
            case 129:
                return "image/tank_player2_right_s3.png";
            case 130:
                return "image/tank_player2_up_s0.png";
            case 131:
                return "image/tank_player2_up_s1.png";
            case 132:
                return "image/tank_player2_up_s2.png";
            case 133:
                return "image/tank_player2_up_s3.png";
            case 134:
                return "image/tank_power_down.png";
            case 135:
                return "image/tank_power_down_f.png";
            case 136:
                return "image/tank_power_left.png";
            case 137:
                return "image/tank_power_left_f.png";
            case 138:
                return "image/tank_power_right.png";
            case 139:
                return "image/tank_power_right_f.png";
            case 140:
                return "image/tank_power_up.png";
            case 141:
                return "image/tank_power_up_f.png";
            case 142:
                return "image/trees.png";
            case 143:
                return "image/trees2.png";
            case 144:
                return "image/wall_brick.png";
            case 145:
                return "image/wall_steel.png";
            case 146:
                return "image/water_1.png";
            case 147:
                return "image/water_2.png";
        }
        return "";
    }

}
